Skip to main content
POST
/
v1
/
owners
/
{id}
/
onboarding
Create an onboarding session
curl --request POST \
  --url https://api.yorlet.com/v1/owners/{id}/onboarding \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "options": {
    "require_identity_verification": true
  },
  "return_url": "<string>",
  "send_email": true,
  "unit_owner": "<string>"
}
'
{
  "id": "<string>",
  "created": 123,
  "object": "onboarding_session",
  "expires_at": 123,
  "options": {
    "require_identity_verification": true
  },
  "owner": "<string>",
  "return_url": "<string>",
  "unit": "<string>",
  "unit_owner": "<string>",
  "account": "<string>",
  "deleted": false,
  "send_email": false,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Body

application/json
type
enum<string>
required

The type of the onboarding session.

Available options:
unit_owner_onboarding,
owner_onboarding
options
object

Configuration options that control the onboarding flow.

return_url
string<uri>

The URL to redirect to after the onboarding flow completes.

send_email
boolean

Whether to send the onboarding link to the owner via email.

unit_owner
string

The ID of the unit owner being onboarded, if applicable.

Response

200 - application/json

Returns the onboarding session object if the request succeeded.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
onboarding_session
expires_at
integer | null
required

The time at which the onboarding session expires.

options
object
required

Configuration options that control the onboarding flow.

owner
required

The owner being onboarded.

return_url
string | null
required

The URL to redirect to after the onboarding flow completes.

type
enum<string>
required

The type of the onboarding session.

Available options:
unit_owner_onboarding,
owner_onboarding
unit
required

The unit associated with the onboarding session, if any.

unit_owner
required

The unit owner being onboarded, if applicable.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

send_email
boolean
default:false

Whether to send the onboarding link to the owner via email.

url
string | null

The hosted URL of the onboarding session.